Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-0627

Overview

Vulnerability Score 4.6 4.6
CVE Id CVE-2005-0627
Last Modified 05 Sep 2008 04:46:50
Published 02 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2005-0627

Summary

Qt before 3.3.4 searches the BUILD_PREFIX directory, which could be world-writable, to load shared libraries regardless of the LD_LIBRARY_PATH environment variable, which allows local users to execute arbitrary programs.

Vulnerable Systems

Application

  • Trolltech Qt 3.0

  • Trolltech Qt 3.0.3

  • Trolltech Qt 3.0.5

  • Trolltech Qt 3.1

  • Trolltech Qt 3.1.1

  • Trolltech Qt 3.1.2

  • Trolltech Qt 3.2.1

  • Trolltech Qt 3.2.3

  • Trolltech Qt 3.3.0

  • Trolltech Qt 3.3.1

  • Trolltech Qt 3.3.2

  • Trolltech Qt 3.3.3


References

BID - 12695

GENTOO - GLSA-200503-01

MISC - http://bugs.gentoo.org/show_bug.cgi?id=75181


Last Updated: 27 May 2016 10:39:52